Mail archive
alpine-aports

[alpine-aports] [PATCH 6/6] testing/sway: new aport

From: Daniel Sabogal <dsabogalcc_at_gmail.com>
Date: Sat, 1 Oct 2016 20:38:47 -0400

http://swaywm.org
i3 compatible window manager for Wayland
---
 testing/sway/APKBUILD | 40 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 40 insertions(+)
 create mode 100644 testing/sway/APKBUILD
diff --git a/testing/sway/APKBUILD b/testing/sway/APKBUILD
new file mode 100644
index 0000000..dd14bf9
--- /dev/null
+++ b/testing/sway/APKBUILD
_at_@ -0,0 +1,40 @@
+# Contributor: Daniel Sabogal <dsabogalcc_at_gmail.com>
+# Maintainer:
+pkgname=sway
+pkgver=0.9
+pkgrel=0
+pkgdesc="i3 compatible window manager for Wayland"
+url="http://swaywm.org"
+arch="all"
+license="MIT"
+depends="libxcursor"
+makedepends="asciidoc cmake gdk-pixbuf json-c-dev libinput-dev libxkbcommon-dev
+	pango-dev wayland-dev wlc-dev"
+subpackages="$pkgname-doc"
+source="$pkgname-$pkgver.tar.gz::https://github.com/SirCmpwn/$pkgname/archive/$pkgver.tar.gz"
+
+builddir="$srcdir/$pkgname-$pkgver"
+
+build() {
+	cd "$builddir"
+	cmake . \
+		-DCMAKE_BUILD_TYPE=Release \
+		-DCMAKE_INSTALL_SYSCONFDIR=/etc \
+		-DCMAKE_INSTALL_PREFIX=/usr \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$builddir"
+	make DESTDIR="$pkgdir/" install || return 1
+
+	install -d "$pkgdir"/usr/share/man/man1
+	install -d "$pkgdir"/usr/share/man/man5
+	install -m644 bin/*.1 "$pkgdir"/usr/share/man/man1/ || return 1
+	install -m644 bin/*.5 "$pkgdir"/usr/share/man/man5/ || return 1
+}
+
+md5sums="50bdbcc513958f215b4790ebdcde46f5  sway-0.9.tar.gz"
+sha256sums="dc98fe5abd084dbf059fdf19b5b40e44b5c7ac75a5b704b47a6b53c9f489f42d  sway-0.9.tar.gz"
+sha512sums="546af976379f50314567472766fe801dc15e84057bc1bd4d8b9b8c02ddc897ce3ece264a429bcc7c44f6fa2f7a58ed65f92d5a194951297c5d37dbb8085658cf  sway-0.9.tar.gz"
-- 
2.10.0
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sat Oct 01 2016 - 20:38:47 GMT